#include "colors.inc"  
#include "textures.inc" 
#include "shapes.inc"
#include "shapes2.inc" 
#include "metals.inc"     
#include "glass.inc"
#include "woods.inc"
#include "woodmaps.inc"   
#include "skies.inc"

camera {
    location <0,7, -14>
    look_at <4.5, 0, 0>
}

blob {
    threshold 0.6
    sphere {
        <0.9, 1, -0.2>, 1.3, 1    
        
               pigment {
         image_map {
            png "earth.png"
                 map_type 1
                }
             }
        
    }
    sphere {
        <0.75, 0, 0>, 0.8, 1 
        
               pigment {
         image_map {
            png "moon.png"
                 map_type 1
                }  
                }
                
	rotate <0, 0, 120>
    }
    sphere {
        <0.7, 0, 0.3>, 1.3, 1  
        
                       pigment {
         image_map {
            png "earth_night.png"
                 map_type 1
                }
             }
        
        
	rotate <0, 0, -120>
    }
    texture {
	pigment {
	    color rgbf <0, 0, 1, 0.8>
	}
        finish {
	    ambient 0.4
	    diffuse 0.8
	    phong 1
	    phong_size 10
	}
    }
    scale 1.4
    rotate <0, clock*180, 0> 
    translate <7, 4, -4>
}    
             
              
                        
     /*Saturnus*/
     
object{
        union{
      sphere {
        
        <0,0, 0>, 1.2    

         pigment {
         image_map {
            png "saturn.png"
                 map_type 1
                }            
                

                
             }   
          
 
}                 



/*Renkaat*/
 
 lathe {
  linear_spline
  2,
   <1.5, 0>, <2.5, 0> 
  pigment { image_map {
            png "saturn_disc.png"
            
               map_type 3
                }         }           
  
  
             
           
             
             
  
 }        rotate <-10, 20+clock*36, 20> 
  
         translate <2, 2.5+cos(clock*0.7), 1>


                      
}
                   
                   
                   
                   
                   
                   
              
 }             
     

                         
                         
     /*Mars*/
     
object{

      sphere {
        
        <0,0, 0>, 1.2    

         pigment {
         image_map {
            png "mars.png"
                 map_type 1
                }            
                

                
             }   
              
normal {
bump_map {png "mars_bumb.png"}
}
             
             
        finish {ambient .3}    
	rotate <0, 0, -120>     
	translate <-2.1, 2.2+cos(clock*0.6), -0.3>
    } 
 
}                         
                          
                        
     /*Nebula*/
     
object{

      sphere {
        
        <0,0, 0>, 0.5    

         pigment {
         image_map {
            png "nebula.png"
                 map_type 1
                }            
                

                
             }   
              
            
             
        finish {ambient .3}    
	rotate <-10+clock*50, 20+clock*50, 20+clock*50>      
	translate <-0.1, 2.2+cos(clock), -1.2>
    }       

 
}    
        
        

                   
                   
                   
      /*Kristallipallo*/
     
object{

      sphere {
        
        <0,0, 0>, 3    
                
texture { 
     
	    NBoldglass
         
        }
rotate <0, 0, -120>           
translate <7, 4, -4>
    } 
 
}               
                
                
                   
                   
                    /*Jalusta*/
 
 lathe {
  bezier_spline
  4,
   <0, 2>, <1, 1>, <2, 1>, <2.5, 0.25> 
  pigment {P_Brass1}           
  
  translate <7, 0, -4>
             
  finish {F_MetalC}
             
             
  
 }






 /*Vati*/
 
 lathe {
  cubic_spline
  5,
  <0, 0>, <0, 0.25>, <3, 1>, <4, 2>, <5, 4.75>
  pigment {P_Chrome2}           
  
  translate <0, 0, 0>
             
  finish {F_MetalC}
             
             
  
 }





/*Kirja*/

object {
         
box {
<0,0,0>,<3.25,1,4>
texture {
pigment {
image_map {png "book.png"}
rotate x*90
scale <3.25,1,4>
translate <0,0,0>
}
finish {ambient .3}
}

}
rotate y*10
translate <-1,0,-8.5>
}


/*Alusta*/

object {
         
box {
<-15,-1,-15>,<15,0,15>

 texture {
T_Wood12
       scale <5,1,5>

         }
             
    }
rotate y*-20
translate <0,0,-9.5>

}
                 

light_source {
    <0, 2, -4>
    color Red
    spotlight
    point_at <-1,0,-8.5>
    radius 20
    falloff 15
    
}



global_settings { ambient_light rgb<1, 0.5, 0.8> }


    light_source {
    <10, 10, -1>
    color White
    spotlight
    radius 12
    falloff 14
    tightness 10
    area_light <1, 0, 0>, <0, 0, 1>, 2, 2
    adaptive 1
    jitter
    point_at <2, 0, 0>
  }


light_source {
    <-15, 30, 25>
    color White
}
               
light_source {
    <6, 1, 0>
    color Gray90
    area_light <0, 0, 0>, <0, 1, 0>, 8, 4
    adaptive 1     
    fade_distance 10
    fade_power 1
    jitter
}               
                                             
                                             
                   
                   
                   
                   
                   
                   
                   
sky_sphere {
    pigment {
      gradient z
      color_map {
        [0.000 0.002 color rgb <1.0, 0.2, 0.0>
                     color rgb <1.0, 0.2, 0.0>]
        [0.002 0.200 color rgb <0.8, 0.1, 0.0>
                     color rgb <0.2, 0.2, 0.3>]
      }
      scale 2
      translate -1
    }
    pigment {P_Cloud1}  
      
    rotate -135*x
  }       